MARTe2-core - User story #119

MARTe-EX-D-1.3.3: The framework shall allow developers to protect shared resources using memory
polling semaphores.

29.05.2015 14:19 - André Neto

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Ivan Herrero % Done: 0%
Category: Estimated time: 4.00 hours
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement requirement MARTe-EX-D-1.3.3 based on the original MARTe implementation

Note: "Semaphores" based on polling a given memory access location allow to synchronize threads with extremely low jitter, given
that the operating system scheduler is not required. These type of semaphores can also be used during interrupts and allow to
synchronize low-level drivers with system applications.

Source code files modified

See #115

Requirements review

N/A

Architecture & design review

N/A

Code and documentation review
Date of the review: 25/06/2015

Person who did the review: Ivan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 14/07/2015

Person who did the review: lvan Herrero
Version of unit tests: 0.2

Result of coverage tests review: PASS
Result of functional tests review: PASS

Result of review: PASS
List of non-conformities: N/A

Integration test review

N/A

Acceptance test review

N/A

Associated revisions

Revision 0eb7c1c6 - 18.06.2015 10:38 - Giuseppe Ferro

Added FastPollingMutex implementation
#115 #117 #119

Revision 16238ec2 - 22.06.2015 14:00 - Giuseppe Ferro

Fixed semaphore files accordingly with revision.
#115 #1117 #119 #118 #114

Revision cd81fb26 - 22.06.2015 14:02 - Giuseppe Ferro

* Fixed semaphore files accordingly with revision.
#115 #1117 #119 #118 #114

Revision 08f24f50 - 26.06.2015 12:05 - Giuseppe Ferro

Added FastPollingMutexSem tests.
Renamed previous tests as integration tests.
#116 #115#117 #119

History

#1 - 03.06.2015 11:12 - Riccardo Vitelli

- Target version changed from Backlog to 0.1
- Start date deleted (29.05.2015)

- Estimated time set to 4.00 h

#2 - 12.06.2015 10:31 - Riccardo Vitelli

- Status changed from New to Arch: Rev

#3 - 12.06.2015 11:16 - Riccardo Vitelli

- Assignee set to André Neto

#4 - 12.06.2015 18:30 - André Neto
- Description updated

#5 - 18.06.2015 09:37 - lvan Herrero
- Status changed from Arch: Rev to Code: Impl

#6 - 18.06.2015 09:47 - lvan Herrero

- Assignee changed from André Neto to Giuseppe Ferro

#7 - 18.06.2015 12:41 - lvan Herrero

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#8 - 18.06.2015 12:42 - lvan Herrero
- Status changed from Code: Impl to Code: Rev

#9 - 18.06.2015 17:30 - Ivan Herrero
- Description updated

#10 - 22.06.2015 15:17 - Ivan Herrero
- Description updated

- Assignee deleted (Ilvan Herrero)

Code and documentation review made. Code and documentation corrections pending.

#11 - 22.06.2015 15:18 - Ivan Herrero
- Status changed from Code: Rev to Code: Impl

#12 - 22.06.2015 17:31 - Riccardo Vitelli

- Assignee set to Giuseppe Ferro

#13 - 22.06.2015 17:32 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#14 - 22.06.2015 17:32 - Riccardo Vitelli

- Assignee changed from Giuseppe Ferro to Ivan Herrero

#15 - 23.06.2015 12:22 - Ilvan Herrero

Code and documentation review made on revision b99ba9f. Code and documentation corrections pending. See #115.

#16 - 23.06.2015 18:04 - André Neto
- Status changed from Code: Rev to Code: Impl

#17 - 23.06.2015 18:04 - André Neto

- Assignee changed from Ivan Herrero to Giuseppe Ferro

#18 - 25.06.2015 17:18 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#19 - 25.06.2015 17:19 - Riccardo Vitelli
- Assignee deleted (Giuseppe Ferro)

#20 - 25.06.2015 19:28 - Ilvan Herrero

- Description updated

All corrections done.

#21 - 25.06.2015 19:29 - Ivan Herrero
- Status changed from Code: Rev to Code: Impl

#22 - 25.06.2015 19:29 - lvan Herrero
- Status changed from Code: Impl to Unit: Impl

#23 - 26.06.2015 11:44 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#24 - 02.07.2015 18:06 - Riccardo Vitelli

- Target version changed from 0.1 to 0.2

#25 - 07.07.2015 11:25 - Riccardo Vitelli
- Assignee deleted (Giuseppe Ferro)

#26 - 07.07.2015 11:27 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev
#27 - 08.07.2015 10:47 - lvan Herrero
- Description updated

#28 - 08.07.2015 10:55 - Ivan Herrero
- Description updated

#29 - 08.07.2015 12:15 - lvan Herrero

- Assignee set to Ivan Herrero

#30 - 14.07.2015 18:03 - Ivan Herrero
- Description updated

#31 - 14.07.2015 18:54 - Riccardo Vitelli
- Status changed from Unit: Rev to Closed
